Name:		i3blocks
Version:	1.5
Release:	%mkrel 2
Summary:	A flexible scheduler for your i3bar blocks
License:	GPLv3
URL:		https://github.com/vivien/i3blocks
Group:		Graphical desktop/Other
Source0:	https://github.com/vivien/i3blocks/archive/%{version}.tar.gz

%description
i3blocks is a highly flexible status line for the i3 window manager.
It handles clicks, signals and language-agnostic user scripts.

The content of each block (e.g. time, battery status, network state, ...)
is the output of a command provided by the user. Blocks are updated on
click, at a given interval of time or on a given signal, also specified
by the user.

It aims to respect the i3bar protocol, providing customization such as
text alignment, urgency, color, and more.

%prep
%setup -q

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_bindir}/%{name}
%{_sysconfdir}/%{name}.conf
%{_datadir}/bash-completion/completions/i3blocks
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1.5-2.mga9
+ Revision: 1792887
- Mageia 9 Mass Rebuild
+ wally <wally>
- use configure macro

* Thu Aug 13 2020 sander85 <sander85> 1.5-1.mga8
+ Revision: 1613888
- New version: 1.5

* Thu Feb 13 2020 umeabot <umeabot> 1.4-4.mga8
+ Revision: 1513519
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.4-3.mga7
+ Revision: 1298245
- Mageia 7 Mass Rebuild

* Mon Aug 08 2016 sander85 <sander85> 1.4-2.mga6
+ Revision: 1045032
- Requires sysstat for CPU block

* Mon Aug 08 2016 sander85 <sander85> 1.4-1.mga6
+ Revision: 1045009
- imported package i3blocks

